sub duplo_ui_ui_ui()
 REM		$Id$
 REM	Copyright (c) New Deal 1997 -- All Rights Reserved
 REM	FILE:		STDINC.BH

 STRUCT TimeOfDay
  DIM hour as integer
  DIM minute as integer
  DIM second as integer
 END STRUCT

 STRUCT Date
  DIM year as integer
  DIM month as integer
  DIM day as integer
 END STRUCT

 STRUCT Notification
  DIM arg1 as integer
  DIM arg2 as integer
  DIM arg3 as integer
  DIM arg4 as integer
  DIM arg5 as string
  DIM arg6 as complex
 END STRUCT

REM useful color constants
CONST WHITE 		&Hffffffff
CONST BLACK 		&Hff000000
CONST GRAY_50 		&Hff808080, GREY_50 		&Hff808080
CONST DARK_GRAY 	&Hff555555, LIGHT_GRAY		&Hffaaaaaa
CONST DARK_GREY 	&Hff555555, LIGHT_GREY		&Hffaaaaaa
CONST DARK_GREEN	&Hff00aa00, LIGHT_GREEN 	&Hff55ff55
CONST DARK_BLUE 	&Hff0000aa, LIGHT_BLUE		&Hff5555ff
CONST DARK_CYAN		&Hff00aaaa, LIGHT_CYAN		&Hff55ffff
CONST DARK_PURPLE	&Hffaa00aa, LIGHT_PURPLE	&Hffff55ff
CONST DARK_RED		&Hffaa0000, LIGHT_RED		&Hffff5555
CONST BROWN		&Hffaa5500, YELLOW		&Hffffff55

REM useful text style constants
CONST UNDERLINE		1
CONST STRIKE_THRU	2
CONST SUBSCRIPT		4
CONST SUPERSCRIPT	8
CONST ITALIC		16
CONST BOLD		32

REM useful Boolean constants
CONST TRUE		1
CONST FALSE		0

REM sound constants
CONST SS_ERROR		0
CONST SS_WARNING	1
CONST SS_NOTIFY		2
CONST SS_NO_INPUT	3
CONST SS_KEY_CLICK	4
CONST SS_ALARM		5

CONST MOUSE_PRESS 1, MOUSE_HOLD 2, MOUSE_DRAG 3, MOUSE_TO 4, MOUSE_RELEASE 5
CONST MOUSE_LOST 6, MOUSE_FLY_OVER 7

CONST C_SYS_00			&Hff00
CONST C_SYS_FF			&Hffff
CONST C_SYS_BACKSPACE		&Hff08
CONST C_SYS_TAB			&Hff09
CONST C_SYS_ENTER		&Hff0d
CONST C_SYS_ESCAPE		&Hff1b
CONST C_SYS_F1			&Hff80
CONST C_SYS_F2			&Hff81
CONST C_SYS_F3			&Hff82
CONST C_SYS_F4			&Hff83
CONST C_SYS_F5			&Hff84
CONST C_SYS_F6			&Hff85
CONST C_SYS_F7			&Hff86
CONST C_SYS_F8			&Hff87
CONST C_SYS_F9			&Hff88
CONST C_SYS_F10			&Hff89
CONST C_SYS_F11			&Hff8a
CONST C_SYS_F12			&Hff8b
CONST C_SYS_F13			&Hff8c
CONST C_SYS_F14			&Hff8d
CONST C_SYS_F15			&Hff8e
CONST C_SYS_F16			&Hff8f
CONST C_SYS_UP			&Hff90
CONST C_SYS_DOWN		&Hff91
CONST C_SYS_RIGHT		&Hff92
CONST C_SYS_LEFT		&Hff93
CONST C_SYS_HOME		&Hff94
CONST C_SYS_END			&Hff95
CONST C_SYS_PREVIOUS		&Hff96
CONST C_SYS_NEXT		&Hff97
CONST C_SYS_INSERT		&Hff98
CONST C_SYS_CLEAR		&Hff99	rem Not used in Geos.
CONST C_SYS_DELETE		&Hff9a
CONST C_SYS_PRINT_SCREEN	&Hff9b
CONST C_SYS_HELP		&Hff9d	rem Not used in Geos.
CONST C_SYS_BREAK		&Hff9e
CONST C_SYS_CAPS_LOCK		&Hffe8
CONST C_SYS_NUM_LOCK		&Hffe9
CONST C_SYS_SCROLL_LOCK		&Hffea
CONST C_SYS_LEFT_ALT		&Hffe0
CONST C_SYS_RIGHT_ALT		&Hffe1
CONST C_SYS_LEFT_CTRL		&Hffe2
CONST C_SYS_RIGHT_CTRL		&Hffe3
CONST C_SYS_LEFT_SHIFT		&Hffe4
CONST C_SYS_RIGHT_SHIFT		&Hffe5


CONST KEY_BS 		&Hff08
CONST KEY_DEL 		&Hff9a
CONST KEY_ENTER 	&Hff0d
CONST KEY_KP_RETURN 	&Hffff
CONST KEY_HOME		&Hff94
CONST KEY_TAB		&Hff09
CONST KEY_END		&Hff93
CONST KEY_ESC		&Hff1b
CONST KEY_UP_ARROW	&Hff90
CONST KEY_LEFT_ARROW	&Hff93
CONST KEY_RIGHT_ARROW	&Hff92
CONST KEY_DOWN_ARROW	&Hff91

REM date formats
CONST DTF_LONG				0
CONST DTF_LONG_CONDENSED		1
CONST DTF_LONG_NO_WEEKDAY		2
CONST DTF_LONG_NO_WEEKDAY_CONDENSED	3
CONST DTF_SHORT				4
CONST DTF_ZERO_PADDED_SHORT		5
CONST DTF_MD_LONG			6
CONST DTF_MD_LONG_NO_WEEKDAY		7
CONST DTF_MD_SHORT			8
CONST DTF_MY_LONG			9
CONST DTF_MY_SHORT			10
CONST DTF_YEAR				11
CONST DTF_MONTH				12
CONST DTF_DAY				13
CONST DTF_WEEKDAY			14
REM time formats
CONST DTF_HMS				15
CONST DTF_HM				16
CONST DTF_H				17
CONST DTF_MS				18
CONST DTF_HMS_24HOUR			19
CONST DTF_HM_24HOUR			20

REM pi
CONST PI 3.14159265359

REM Format() constants
CONST FFAF_SCIENTIFIC		&H100
CONST FFAF_PERCENT		&H80
CONST FFAF_USE_COMMAS		&H40
CONST FFAF_NO_TRAIL_ZEROS	&H20
CONST FFAF_NO_LEAD_ZERO		&H10

REM dim system as module
REM system = SystemModule()

 REM end of stdinc.bh

DisableEvents()
Dim form1 as form
form1 = MakeComponent("form","app")
CompInit form1
proto="form1"
top=86
left=94
sizeHControl=0
sizeVControl=0
caption="BE-EL Biorhythmus Version 1.0"
helpContext=""
helpFile=""
End CompInit
Dim spacer2 as spacer
spacer2 = MakeComponent("spacer",form1)
CompInit spacer2
proto="spacer2"
left=0
top=338
look=5
width=651
height=8
visible=1
End CompInit
spacer2.name="spacer2"
Dim gadget1 as gadget
gadget1 = MakeComponent("gadget",form1)
CompInit gadget1
proto="gadget1"
left=25
top=51
width=601
height=260
visible=1
End CompInit
gadget1.name="gadget1"
Dim button2 as button
button2 = MakeComponent("button",form1)
CompInit button2
proto="button2"
caption="Geburtsdatum eingeben"
left=495
top=362
sizeHControl=0
sizeVControl=0
height=57
width=151
visible=1
End CompInit
button2.name="button2"
Dim number1 as number
number1 = MakeComponent("number",form1)
CompInit number1
proto="number1"
left=185
top=380
caption=""
sizeHControl=0
sizeVControl=0
width=34
value=12
minimum=1
maximum=12
displayFormat=0
height=15
visible=1
End CompInit
number1.name="number1"
Dim number2 as number
number2 = MakeComponent("number",form1)
CompInit number2
proto="number2"
left=185
top=400
caption=""
sizeHControl=0
sizeVControl=3
width=35
value=1902
minimum=1902
maximum=2020
displayFormat=0
visible=1
End CompInit
number2.name="number2"
Dim label4 as label
label4 = MakeComponent("label",form1)
CompInit label4
proto="label4"
caption="Monat"
left=133
top=380
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label4.name="label4"
Dim label5 as label
label5 = MakeComponent("label",form1)
CompInit label5
proto="label5"
caption="Jahr"
left=134
top=400
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label5.name="label5"
Dim label6 as label
label6 = MakeComponent("label",form1)
CompInit label6
proto="label6"
caption=""
left=330
top=380
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label6.name="label6"
Dim label7 as label
label7 = MakeComponent("label",form1)
CompInit label7
proto="label7"
caption="1"
left=30
top=310
sizeHControl=0
sizeVControl=3
width=9
visible=1
End CompInit
label7.name="label7"
Dim label8 as label
label8 = MakeComponent("label",form1)
CompInit label8
proto="label8"
caption="5"
left=112
top=310
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label8.name="label8"
Dim label9 as label
label9 = MakeComponent("label",form1)
CompInit label9
proto="label9"
caption="10"
left=209
top=310
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label9.name="label9"
Dim label10 as label
label10 = MakeComponent("label",form1)
CompInit label10
proto="label10"
caption="15"
left=309
top=310
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label10.name="label10"
Dim label11 as label
label11 = MakeComponent("label",form1)
CompInit label11
proto="label11"
caption="20"
left=409
top=310
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label11.name="label11"
Dim label13 as label
label13 = MakeComponent("label",form1)
CompInit label13
proto="label13"
caption="25"
left=510
top=310
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label13.name="label13"
Dim label14 as label
label14 = MakeComponent("label",form1)
CompInit label14
proto="label14"
caption="+1"
left=5
top=51
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label14.name="label14"
Dim label15 as label
label15 = MakeComponent("label",form1)
CompInit label15
proto="label15"
caption="0"
left=10
top=174
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label15.name="label15"
Dim label16 as label
label16 = MakeComponent("label",form1)
CompInit label16
proto="label16"
caption="-1"
left=5
top=297
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label16.name="label16"
Dim label17 as label
label17 = MakeComponent("label",form1)
CompInit label17
proto="label17"
caption="30"
left=609
top=310
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label17.name="label17"
Dim label18 as label
label18 = MakeComponent("label",form1)
CompInit label18
proto="label18"
caption="Alter in Tagen:"
left=297
top=360
sizeHControl=3
sizeVControl=0
height=14
visible=1
End CompInit
label18.name="label18"
Dim label21 as label
label21 = MakeComponent("label",form1)
CompInit label21
proto="label21"
caption="Auswertungszeitraum:"
left=131
top=360
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label21.name="label21"
Dim label19 as label
label19 = MakeComponent("label",form1)
CompInit label19
proto="label19"
caption="Geburtsdatum:"
left=21
top=360
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label19.name="label19"
Dim label20 as label
label20 = MakeComponent("label",form1)
CompInit label20
proto="label20"
caption=""
left=35
top=380
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label20.name="label20"
Dim toggle1 as toggle
toggle1 = MakeComponent("toggle",form1)
CompInit toggle1
proto="toggle1"
caption="Krper"
left=400
top=360
sizeHControl=3
status=1
sizeVControl=3
visible=1
End CompInit
toggle1.name="toggle1"
Dim toggle2 as toggle
toggle2 = MakeComponent("toggle",form1)
CompInit toggle2
proto="toggle2"
caption="Geist"
left=400
top=380
sizeHControl=3
status=1
sizeVControl=3
visible=1
End CompInit
toggle2.name="toggle2"
Dim toggle3 as toggle
toggle3 = MakeComponent("toggle",form1)
CompInit toggle3
proto="toggle3"
caption="Seele"
left=400
top=400
sizeHControl=3
status=1
sizeVControl=3
visible=1
End CompInit
toggle3.name="toggle3"
Dim picture2 as picture
picture2 = MakeComponent("picture",form1)
CompInit picture2
proto="picture2"
left=461
top=364
height=55
width=26
visible=1
End CompInit
picture2.name="picture2"
picture2.graphic=GetComplex(0)
Dim label22 as label
label22 = MakeComponent("label",form1)
CompInit label22
proto="label22"
caption=""
left=258
top=22
sizeHControl=0
sizeVControl=3
width=143
visible=1
End CompInit
label22.name="label22"
form1.name="form1"
form1.height=462
form1.width=664
Dim form2 as form
form2 = MakeComponent("form","app")
CompInit form2
proto="form2"
left=289
top=182
caption="Geburtsdatum"
End CompInit
Dim entry1 as entry
entry1 = MakeComponent("entry",form2)
CompInit entry1
proto="entry1"
left=120
top=30
width=40
maxChars=2
filter=32
text=""
visible=1
End CompInit
entry1.name="entry1"
Dim entry2 as entry
entry2 = MakeComponent("entry",form2)
CompInit entry2
proto="entry2"
left=120
top=60
width=40
maxChars=2
filter=32
text=""
visible=1
End CompInit
entry2.name="entry2"
Dim entry3 as entry
entry3 = MakeComponent("entry",form2)
CompInit entry3
proto="entry3"
left=120
top=90
width=40
maxChars=4
filter=32
text=""
visible=1
End CompInit
entry3.name="entry3"
Dim label1 as label
label1 = MakeComponent("label",form2)
CompInit label1
proto="label1"
caption="Tag"
left=60
top=30
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label1.name="label1"
Dim label2 as label
label2 = MakeComponent("label",form2)
CompInit label2
proto="label2"
caption="Monat"
left=60
top=60
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label2.name="label2"
Dim label3 as label
label3 = MakeComponent("label",form2)
CompInit label3
proto="label3"
caption="Jahr"
left=60
top=90
sizeHControl=3
sizeVControl=3
visible=1
End CompInit
label3.name="label3"
Dim button4 as button
button4 = MakeComponent("button",form2)
CompInit button4
proto="button4"
caption="OK"
left=88
top=127
sizeHControl=0
sizeVControl=3
width=28
visible=1
End CompInit
button4.name="button4"
form2.height=188
form2.width=206
form2.name="form2"
Dim timedate1 as timedate
timedate1 = MakeComponent("timedate","app")
CompInit timedate1
proto="timedate1"
End CompInit
timedate1.name="timedate1"
EnableEvents()
duplo_start()
end sub

sub duplo_start()
REM place initialization code here

REM===============================================================================
REM Programm von Bernhard Lach, Hlderlinweg 24, 71729 Erdmannhausen, Deutschland
REM===============================================================================

DIM i as Integer 	REM Zahl zum Zeichnen des Diagrammgitters etc.
DIM k as Integer		REM Noch ne Zahl fr eine Zhlroutine
DIM GTAG as Integer		REM Tag des Geburtsdatums
DIM GMONAT as Integer	REM Monat des Geburtsdatums
DIM GJAHR as Integer		REM Jahr des Geburtsdatums

DIM TGMONAT as Integer			REM Anzahl der Tage bis zum Ende des Geburtsmonats
DIM TGJAHR	 as Integer			REM Anzahl der Tage bis zum ENDE des Geburtsjahres
DIM TZWIJAHRE as Integer		REM Anzahl der Tage in den dazwischenliegenden Jahren
DIM TAKTMONATE as Integer		REM Anzahl der Tage in den Monaten des Aktuellen Jahres

DIM ANZAHL as Integer		REM Gesamtzahl der Tage bis zum Auswertungsmonat

Dim GEIST as float		REM Sinusanfang am 1. Tag des Auswertungsmonats
DIM G as long 			REM GEISTAMPLITUDE

DIM KRPER as float		REM Sinusanfang am 1. Tag des Auswertungsmonats
DIM K as long				REM Krperamplitude

DIM SEELE as float		REM Sinusanfang am 1. Tag des Auswertungsmonats
DIM S as long				REM Seeleamplitude

DIM Datum as STRUCT Date		REM Aktuelles Datum
Datum = timedate1.GetDate()		REM Zuweisung des aktuellen Datums

Dim Mnam[13] as string
Mnam[1] = "Januar"
Mnam[2] = "Februar"
Mnam[3] = "Mrz"
Mnam[4] = "April"
Mnam[5] = "Mai"
Mnam[6] = "Juni"
Mnam[7] = "Juli"
Mnam[8] = "August"
Mnam[9] = "September"
Mnam[10] = "Oktober"
Mnam[11] = "November"
Mnam[12] = "Dezember"


number1.value = Datum.month		REM Auswertungszeitraum wird auf 
number2.value = Datum.year		REM aktuellen Monat und aktuelles Jahr gestellt


end sub

sub module_goTo(context as string)

end sub

function module_getContext()

module_getContext = ""

end function

sub module_show()
REM code for making this module appear
form1.visible=1

end sub

sub module_hide()
REM code for making this module disappear
form1.visible=0

end sub

sub module_exit()

end sub

sub gadget1_draw(self as gadget)

REM ===================================
REM zunchst wird das Gitter gezeichnet
REM ===================================

gadget1.DrawHLine(600,1,250,BLACK)  
gadget1.DrawHLine(600,1,125,BLACK)
gadget1.DrawHLine(600,1,126,BLACK)
gadget1.DrawHLine(600,1,1,BLACK)
for i = 0 to 30
gadget1.DrawVLine(1,250,i*20,BLACK)
next
for i = 1 to 6
gadget1.DrawVLine(1,257,(i*100),BLACK)
gadget1.DrawVLine(1,257,(i*100)-1,BLACK)
next
gadget1.DrawVLine(1,257,0,BLACK)
gadget1.DrawVLine(1,257,1,BLACK)

REM ============================
REM Die Geistkurve wird gezeichnet
REM ============================

If toggle2.status = 1 then
For i = 0 to 600
G = (Sin((2*PI*GEIST)/33)*125) +125
gadget1.DrawVLine(251-G,248-G,(i)+1,DARK_GREEN)
gadget1.DrawVLine(251-G,248-G,(i),DARK_GREEN)
gadget1.DrawVLine(251-G,248-G,(i)-1,DARK_GREEN)
GEIST = GEIST + 0.05
next
end if

REM ============================
REM Die Krperkurve wird gezeichnet
REM ============================
if toggle1.status = 1 then
For i = 0 to 600
G = (Sin((2*PI*KRPER)/23)*125) +125
gadget1.DrawVLine(251-G,248-G,(i)+1,DARK_BLUE)
gadget1.DrawVLine(251-G,248-G,(i),DARK_BLUE)
gadget1.DrawVLine(251-G,248-G,(i)-1,DARK_BLUE)
KRPER = KRPER + 0.05
next
end if 

REM ============================
REM Die Seelekurve wird gezeichnet
REM ============================
if toggle3.status = 1 then
For i = 0 to 600
G = (Sin((2*PI*SEELE)/28)*125) +125
gadget1.DrawVLine(251-G,248-G,(i)+1,YELLOW)
gadget1.DrawVLine(251-G,248-G,(i),YELLOW)
gadget1.DrawVLine(251-G,248-G,(i)-1,YELLOW)
SEELE = SEELE + 0.05
next
end if

end sub

sub button2_pressed(self as button)
form2.visible= 1
form1.visible = 0

end sub

sub button4_pressed(self as button)
REM ======================================================================
REM Zunchst wird geprft, ob das Geburtsdatum vollstndig eingegeben ist.
REM=======================================================================

if entry1.text <> "" and entry2.text<>"" and entry3.text<> ""

form2.visible = 0
form1.visible = 1

REM =======================================
REM bernahme der eingegebenen Geburtsdaten
REM =======================================   

GTAG = val(entry1.text)   	
GMONAT = val(entry2.text)	
GJAHR = val(entry3.text)	

REM ======================================
REM Berechnung der Tagesanzahl 
REM ======================================

TGMONAT = timedate1.GetDaysInMonth (GJAHR,GMONAT) - GTAG 

TGJAHR = 0
for i = (GMONAT +1) to 12
TGJAHR = TGJAHR + timedate1.GetDaysInMonth (GJAHR,i)
next

TZWIJAHRE = 0
for i =  (GJAHR + 1) to number2.value - 1 
TZWIJAHRE = TZWIJAHRE + 337 + timedate1.GetDaysInMonth(i,2) 
next

TAKTMONATE = 0
for i = 1 to number1.value
TAKTMONATE = TAKTMONATE + timedate1.GetDaysInMonth (number2.value,i)
next

label6.caption = str(1+ TGMONAT + TGJAHR + TZWIJAHRE + TAKTMONATE -timedate1.GetDaysInMonth (number2.value,number1.value))

ANZAHL = 1+ TGMONAT + TGJAHR + TZWIJAHRE + TAKTMONATE -timedate1.GetDaysInMonth (number2.value,number1.value)

REM ==============================================================
REM Berechnung der Amplituden fr den 1.Tag im Auswertungsmonat
REM ===============================================================

GEIST = ANZAHL - ((ANZAHL/33)*33)

KRPER = ANZAHL - ((ANZAHL/23)*23)

SEELE = ANZAHL - ((ANZAHL/28)*28)

label20.caption = entry1.text + "."+entry2.text+"."+entry3.text

label22.caption = Mnam[number1.value] + " " +str(number2.value)

end if

end sub

sub number1_changed(self as number, value as integer)

REM =================================================
REM Bei nderung des Auswertungsmonats wird dasselbe
REM gemacht wie bei Neueingabe des Geburtsdatums
REM =================================================

If entry1.text <> "" and entry2.text <> "" and entry3.text <> ""
GTAG = val(entry1.text) 
GMONAT = val(entry2.text)
GJAHR = val(entry3.text)

TGMONAT = timedate1.GetDaysInMonth (GJAHR,GMONAT) - GTAG

TGJAHR = 0
for i = (GMONAT +1) to 12
TGJAHR = TGJAHR + timedate1.GetDaysInMonth (GJAHR,i)
next

TZWIJAHRE = 0
for i =  (GJAHR + 1) to number2.value - 1 
TZWIJAHRE = TZWIJAHRE + 337 + timedate1.GetDaysInMonth(i,2) 
next

TAKTMONATE = 0
for i = 1 to number1.value
TAKTMONATE = TAKTMONATE + timedate1.GetDaysInMonth (number2.value,i)
next

label6.caption = str(1+TGMONAT + TGJAHR + TZWIJAHRE + TAKTMONATE -timedate1.GetDaysInMonth (number2.value,number1.value))

ANZAHL = 1+TGMONAT + TGJAHR + TZWIJAHRE + TAKTMONATE -timedate1.GetDaysInMonth (number2.value,number1.value)

GEIST = ANZAHL - ((ANZAHL/33)*33)

KRPER = ANZAHL - ((ANZAHL/23)*23)

SEELE = ANZAHL - ((ANZAHL/28)*28)

label22.caption = Mnam[number1.value] + " " +str(number2.value)

end if
end sub

sub number2_changed(self as number, value as integer)

REM =================================================
REM Bei nderung des Auswertungsjahres wird dasselbe
REM gemacht wie bei Neueingabe des Geburtsdatums
REM =================================================

If entry1.text <> "" and entry2.text <> "" and entry3.text <> ""
GTAG = val(entry1.text)
GMONAT = val(entry2.text)
GJAHR = val(entry3.text)

TGMONAT = timedate1.GetDaysInMonth (GJAHR,GMONAT) - GTAG

TGJAHR = 0
for i = (GMONAT +1) to 12
TGJAHR = TGJAHR + timedate1.GetDaysInMonth (GJAHR,i)
next

TZWIJAHRE = 0
for i =  (GJAHR + 1) to number2.value - 1 
TZWIJAHRE = TZWIJAHRE + 337 + timedate1.GetDaysInMonth(i,2) 
next

TAKTMONATE = 0
for i = 1 to number1.value
TAKTMONATE = TAKTMONATE + timedate1.GetDaysInMonth (number2.value,i)
next

label6.caption = str(1+TGMONAT + TGJAHR + TZWIJAHRE + TAKTMONATE -timedate1.GetDaysInMonth (number2.value,number1.value))

ANZAHL = 1+ TGMONAT + TGJAHR + TZWIJAHRE + TAKTMONATE -timedate1.GetDaysInMonth (number2.value,number1.value)

GEIST = ANZAHL - ((ANZAHL/33)*33)

KRPER = ANZAHL - ((ANZAHL/23)*23)

SEELE = ANZAHL - ((ANZAHL/28)*28)

label22.caption = Mnam[number1.value] + " " +str(number2.value)

end if

end sub

sub toggle1_changed(self as toggle)
if entry1.text <> "" and entry2.text<>"" and entry3.text<> ""

form2.visible = 0
form1.visible = 1

REM =======================================
REM bernahme der eingegebenen Geburtsdaten
REM =======================================   

GTAG = val(entry1.text)   	
GMONAT = val(entry2.text)	
GJAHR = val(entry3.text)	

REM ======================================
REM Berechnung der Tagesanzahl 
REM ======================================

TGMONAT = timedate1.GetDaysInMonth (GJAHR,GMONAT) - GTAG 

TGJAHR = 0
for i = (GMONAT +1) to 12
TGJAHR = TGJAHR + timedate1.GetDaysInMonth (GJAHR,i)
next

TZWIJAHRE = 0
for i =  (GJAHR + 1) to number2.value - 1 
TZWIJAHRE = TZWIJAHRE + 337 + timedate1.GetDaysInMonth(i,2) 
next

TAKTMONATE = 0
for i = 1 to number1.value
TAKTMONATE = TAKTMONATE + timedate1.GetDaysInMonth (number2.value,i)
next

label6.caption = str(1+ TGMONAT + TGJAHR + TZWIJAHRE + TAKTMONATE -timedate1.GetDaysInMonth (number2.value,number1.value))

ANZAHL = 1+ TGMONAT + TGJAHR + TZWIJAHRE + TAKTMONATE -timedate1.GetDaysInMonth (number2.value,number1.value)

REM ==============================================================
REM Berechnung der Amplituden fr den 1.Tag im Auswertungsmonat
REM ===============================================================

GEIST = ANZAHL - ((ANZAHL/33)*33)

KRPER = ANZAHL - ((ANZAHL/23)*23)

SEELE = ANZAHL - ((ANZAHL/28)*28)

label20.caption = entry1.text + "."+entry2.text+"."+entry3.text

end if



end sub

sub toggle2_changed(self as toggle)
if entry1.text <> "" and entry2.text<>"" and entry3.text<> ""

form2.visible = 0
form1.visible = 1

REM =======================================
REM bernahme der eingegebenen Geburtsdaten
REM =======================================   

GTAG = val(entry1.text)   	
GMONAT = val(entry2.text)	
GJAHR = val(entry3.text)	

REM ======================================
REM Berechnung der Tagesanzahl 
REM ======================================


TGMONAT = timedate1.GetDaysInMonth (GJAHR,GMONAT) - GTAG 

TGJAHR = 0
for i = (GMONAT +1) to 12
TGJAHR = TGJAHR + timedate1.GetDaysInMonth (GJAHR,i)
next

TZWIJAHRE = 0
for i =  (GJAHR + 1) to number2.value - 1 
TZWIJAHRE = TZWIJAHRE + 337 + timedate1.GetDaysInMonth(i,2) 
next

TAKTMONATE = 0
for i = 1 to number1.value
TAKTMONATE = TAKTMONATE + timedate1.GetDaysInMonth (number2.value,i)
next

label6.caption = str(1+ TGMONAT + TGJAHR + TZWIJAHRE + TAKTMONATE -timedate1.GetDaysInMonth (number2.value,number1.value))

ANZAHL = 1+ TGMONAT + TGJAHR + TZWIJAHRE + TAKTMONATE -timedate1.GetDaysInMonth (number2.value,number1.value)

REM ==============================================================
REM Berechnung der Amplituden fr den 1.Tag im Auswertungsmonat
REM ===============================================================

GEIST = ANZAHL - ((ANZAHL/33)*33)

KRPER = ANZAHL - ((ANZAHL/23)*23)

SEELE = ANZAHL - ((ANZAHL/28)*28)

label20.caption = entry1.text + "."+entry2.text+"."+entry3.text

end if

end sub

sub toggle3_changed(self as toggle)
if entry1.text <> "" and entry2.text<>"" and entry3.text<> ""

form2.visible = 0
form1.visible = 1

REM =======================================
REM bernahme der eingegebenen Geburtsdaten
REM =======================================   

GTAG = val(entry1.text)   	
GMONAT = val(entry2.text)	
GJAHR = val(entry3.text)	

REM ======================================
REM Berechnung der Tagesanzahl 
REM ======================================


TGMONAT = timedate1.GetDaysInMonth (GJAHR,GMONAT) - GTAG 

TGJAHR = 0
for i = (GMONAT +1) to 12
TGJAHR = TGJAHR + timedate1.GetDaysInMonth (GJAHR,i)
next

TZWIJAHRE = 0
for i =  (GJAHR + 1) to number2.value - 1 
TZWIJAHRE = TZWIJAHRE + 337 + timedate1.GetDaysInMonth(i,2) 
next

TAKTMONATE = 0
for i = 1 to number1.value
TAKTMONATE = TAKTMONATE + timedate1.GetDaysInMonth (number2.value,i)
next

label6.caption = str(1+ TGMONAT + TGJAHR + TZWIJAHRE + TAKTMONATE -timedate1.GetDaysInMonth (number2.value,number1.value))

ANZAHL = 1+ TGMONAT + TGJAHR + TZWIJAHRE + TAKTMONATE -timedate1.GetDaysInMonth (number2.value,number1.value)

REM ==============================================================
REM Berechnung der Amplituden fr den 1.Tag im Auswertungsmonat
REM ===============================================================

GEIST = ANZAHL - ((ANZAHL/33)*33)

KRPER = ANZAHL - ((ANZAHL/23)*23)

SEELE = ANZAHL - ((ANZAHL/28)*28)

label20.caption = entry1.text + "."+entry2.text+"."+entry3.text

end if


end sub

